Represents a Lease Contract Subtenant in SOFT4Spaces. A subtenant is a party to whom the tenant sublets part of the leased premises. On the Lease Contract Card, these records are shown in the Subtenants section.
Note
For information about enabling APIs for Business Central see Overview.
API endpoint
| API | Path |
| lease |
businesscentralPrefix/ |
Methods
| Method | Return Type | Description |
| GET lease |
lease |
Gets lease contract subtenant objects. |
| GET lease |
lease |
Gets a lease contract subtenant object. |
| POST lease |
lease |
Creates a lease contract subtenant object. |
| PATCH lease |
lease |
Updates a lease contract subtenant object. |
| DELETE lease |
none | Deletes a lease contract subtenant object. |
GET leaseContractSubtenants
Description
Retrieves existing lease contract subtenant records from Business Central.
HTTP Request
GET
https://{{businesscentralPrefix}}/
Request Headers
| Header | Value |
| Authorization | Bearer {token}. Required. |
| Accept | application/ |
Request Body
None.
Response
Returns a 200 OK status code and JSON object representing the lease contract subtenant records.
Example Response
JSON
|
{ "value": [ { "id": "7d305f84-2b7e-f111-a056-000d3aba387d", "leaseContractNo": "LC00001", "lineNo": 10000, "customerNo": "", "name": "Fine Coffee Ltd", "startDate": "2026-11-01", "endDate": "2027-10-31", "area": 25, "monthlyRent": 500, "phone": "+37060000000", "email": "info@finecoffee.com", "contactPerson": "John Smith", "systemCreatedAt": "2026-10-13T09:15:00Z", "systemCreatedBy": "6ac927c2-1d2f-437f-89ed-3cb0cf930e68", "systemModifiedAt": "2026-10-13T09:15:00Z", "systemModifiedBy": "6ac927c2-1d2f-437f-89ed-3cb0cf930e68" } ] } |
GET leaseContractSubtenant
Description
Retrieves an existing lease contract subtenant record from Business Central.
HTTP Request
GET
https://{{businesscentralPrefix}}/
Request Headers
| Header | Value |
| Authorization | Bearer {token}. Required. |
| Accept | application/ |
Request Body
None.
Response
Returns a 200 OK status code and JSON object representing the lease contract subtenant record.
Example Response
JSON
|
{ "id": "7d305f84-2b7e-f111-a056-000d3aba387d", "leaseContractNo": "LC00001", "lineNo": 10000, "customerNo": "", "name": "Fine Coffee Ltd", "startDate": "2026-11-01", "endDate": "2027-10-31", "area": 25, "monthlyRent": 500, "phone": "+37060000000", "email": "info@finecoffee.com", "contactPerson": "John Smith", "systemCreatedAt": "2026-10-13T09:15:00Z", "systemCreatedBy": "6ac927c2-1d2f-437f-89ed-3cb0cf930e68", "systemModifiedAt": "2026-10-13T09:15:00Z", "systemModifiedBy": "6ac927c2-1d2f-437f-89ed-3cb0cf930e68" } |
GET [filter] leaseContractSubtenants
Description
Retrieves the lease contract subtenant records of a specific lease contract.
HTTP Request
GET
https://{{businesscentralPrefix}}/
Request Headers
| Header | Value |
| Authorization | Bearer {token}. Required. |
| Accept | application/ |
Request Body
None.
Response
Returns a 200 OK status code and JSON object representing the lease contract subtenant records of the lease contract.
POST leaseContractSubtenant
Description
Creates a new lease contract subtenant in Business Central.
HTTP Request
POST
https://{{businesscentralPrefix}}/
Request Headers
| Header | Value |
| Authorization | Bearer {token}. Required. |
| Accept | application/ |
Request Body
Provide a JSON object with lease contract subtenant data.
JSON
|
{ "leaseContractNo": "LC00001", "name": "Fine Coffee Ltd", "startDate": "2026-11-01", "endDate": "2027-10-31", "area": 25, "monthlyRent": 500, "phone": "+37060000000", "email": "info@finecoffee.com", "contactPerson": "John Smith" } |
Response
Returns a 201 Created status code and the created lease contract subtenant object.
PATCH leaseContractSubtenant
Description
Updates an existing lease contract subtenant in Business Central.
HTTP Request
PATCH
https://{{businesscentralPrefix}}/
Request Headers
| Header | Value |
| Authorization | Bearer {token}. Required. |
| Accept | application/ |
Request Body
Provide the fields of the lease contract subtenant to be updated.
JSON
|
{ "monthlyRent": 550 } |
Response
Returns a 200 OK status code and the updated object.
DELETE leaseContractSubtenant
Description
Deletes an existing lease contract subtenant from Business Central.
HTTP Request
DELETE
https://{{businesscentralPrefix}}/
Request Headers
| Header | Value |
| Authorization | Bearer {token}. Required. |
| Accept | application/ |
Request Body
None.
Response
Returns a 204 No Content status code.
Properties
| Property | Type | Description |
| id | GUID | The unique ID of the lease contract subtenant. Non-editable. |
| leaseContractNo | string | Specifies the number of the lease contract to which the subtenant belongs. |
| lineNo | integer | Specifies the line number. Assigned automatically. Non-editable. |
| customerNo | string | Specifies the customer number of the subtenant, if the subtenant is registered as a customer. |
| name | string | Specifies the name of the subtenant. |
| startDate | date | Specifies the sublease starting date. |
| endDate | date | Specifies the sublease ending date. |
| area | decimal | Specifies the sublet area. |
| monthlyRent | decimal | Specifies the monthly rent paid by the subtenant. |
| phone | string | Specifies the phone number of the subtenant. |
| string | Specifies the email address of the subtenant. | |
| contactPerson | string | Specifies the contact person of the subtenant. |
| systemCreatedAt | datetime | The datetime the lease contract subtenant was created. |
| systemCreatedBy | GUID | The ID of the user who created the lease contract subtenant. |
| systemModifiedAt | datetime | The last datetime the lease contract subtenant was modified. |
| systemModifiedBy | GUID | The ID of the user who modified the lease contract subtenant. |
JSON Representation
|
{ "id": "GUID", "leaseContractNo": "string", "lineNo": "integer", "customerNo": "string", "name": "string", "startDate": "date", "endDate": "date", "area": "decimal", "monthlyRent": "decimal", "phone": "string", "email": "string", "contactPerson": "string", "systemCreatedAt": "datetime", "systemCreatedBy": "GUID", "systemModifiedAt": "datetime", "systemModifiedBy": "GUID" } |